<?php

/*
 * @package RS-MINI
 * @copyright (c) 2015 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

namespace pub\test\controller;

// подключаем модель модуля
use \pub\test\model\document as document;

if(!defined('RS-MINI')) die();

/*
 * intro v 1.0
 * 
 * контроллер модуля pub.test
 *
 */

class intro extends \core\abstractcontroller
{   
    
    /*
     * запуск контроллера
     * 
     * @access - public
     * @return - true или false (404 ошибка)
     * 
     */
     
    public function run()
    {
        // создаем основной узел для хранение данных
        $testNode = $this->dom->addNode('testTextList');
        
        // запрашиваем у модели необходимые данные
        if (!$textList = document::create()->getTextList())
            // если данных нет, то выводим 404 ошибку
            return FALSE;
        
        // если же данные были получены, то передаем их
        // представлению
        foreach ($textList as $text)
            // внутри узла testTextList создаем еще один узел
            // text
            $testNode->addNode('text')
                     // помещаем в узел text атрибут document_id
                     // с значение из БД
                     ->addAttr('document_id', $text['document_id'])
                     // помещаем в узел text атрибут value
                     // с значение из БД
                     ->addAttr('value',       $text['text'])
            ;
        
        return TRUE;
    }
}
